﻿using System.Collections.Generic;

namespace IMCS.Device
{
    public class RequestBody
    { 
        public string UserName
        { get; set; }

        public string Password
        { get; set; }

        public string ServerUrl
        { get; set; }

        public string Type
        { get; set; }

        public string Ip
        { get; set; }

        public string Path
        { get; set; }

        public List<string> Addresses
        { get; set; } = new List<string>();

        public List<string> Values
        { get; set; }

        /// <summary>
        /// 子文件集合
        /// </summary>
        public List<string> subFileList
        { get; set; } = new List<string>();

        /// 对刀仪数据集合
        public List<string> toolFileList
        { get; set; } = new List<string>();

        public string prgName
        { get; set; }

        public string check
        { get; set; }

    }

    /// <summary>
    /// 类型名称
    /// </summary>
    public enum ActionTypeEnum
    {
        Connect,
        Write,
        Read,
        ToolList,
        Collect,
        Upload,
        SelectNc,
        StartNcProgram,
        UploadFileList,
        DownLoad,
        Delete,
        SynFile
    }
 }
